package com.ss.android.ugc.aweme.profile.model;

import X.M12;
import android.view.View;
import com.bytedance.covode.number.Covode;

public final class LiveCircleParam {
    public View avatarView;
    public String enterFromMerge = "";
    public String enterMethod = "";
    public int liveCircleViewType;
    public boolean needLiveBreathAnim;
    public int sceneType = -1;
    public User user;

    static {
        Covode.recordClassIndex(98810);
    }

    public static final class LiveCircleBuilder {
        public final LiveCircleParam param = new LiveCircleParam();

        static {
            Covode.recordClassIndex(98811);
        }

        public final LiveCircleBuilder setAvatarView(View view) {
            M12.LIZ(view);
            this.param.avatarView = view;
            return this;
        }

        public final LiveCircleBuilder setCircleViewType(int i) {
            this.param.liveCircleViewType = i;
            return this;
        }

        public final LiveCircleBuilder setNeedLiveBreathAnim(boolean z) {
            this.param.needLiveBreathAnim = z;
            return this;
        }

        public final LiveCircleBuilder setSceneType(int i) {
            this.param.sceneType = i;
            return this;
        }

        public final LiveCircleBuilder setUser(User user) {
            M12.LIZ(user);
            this.param.user = user;
            return this;
        }

        public final LiveCircleBuilder setEnterFromMerge(String str) {
            M12.LIZ(str);
            this.param.setEnterFromMerge(str);
            return this;
        }

        public final LiveCircleBuilder setEnterMethod(String str) {
            M12.LIZ(str);
            this.param.setEnterMethod(str);
            return this;
        }
    }

    public final void setEnterFromMerge(String str) {
        M12.LIZ(str);
        this.enterFromMerge = str;
    }

    public final void setEnterMethod(String str) {
        M12.LIZ(str);
        this.enterMethod = str;
    }
}
